Compare commits

..

No commits in common. "6bde027c48f9ddd556a8b8ad48337ec0fc30a2fe" and "9bbc5591c11391557e8deb0c2f9e9f3e9b3251ef" have entirely different histories.

9 changed files with 35 additions and 72 deletions

View File

@ -73,25 +73,25 @@
- sudo
- doas
- users
- package_manager
- zfs
- zrepl
- zsh
- network
- sshd
- base
# - package_manager
# - zfs
# - zrepl
# - zsh
# - network
# - sshd
# - base
- firewall
- cpu
- ntp
- nvme
- hosts
- build
- devfs
- jail
- bhyve
- wireguard
- emacs
- mrmanager
# - cpu
# - ntp
# - nvme
# - hosts
# - build
# - devfs
# - jail
# - bhyve
# - wireguard
# - plainmacs
# - mrmanager
- hosts: admin_git:public_dns
vars:

View File

@ -35,33 +35,6 @@ if [ "$VERBOSE" = "YES" ]; then
set -x
fi
############## Setup #########################
function cleanup {
for vm in "${vms[@]}"; do
log "Destroying bhyve vm $f"
bhyvectl "--vm=$vm" --destroy
log "Destroyed bhyve vm $f"
done
}
vms=()
for sig in EXIT INT QUIT HUP TERM; do
trap "set +e; cleanup" "$sig"
done
function die {
local status_code="$1"
shift
(>&2 echo "${@}")
exit "$status_code"
}
function log {
(>&2 echo "${@}")
}
############## Program #########################
function main {
local cmd="$1"
shift 1
@ -149,7 +122,6 @@ function start_vm {
if [ "$VNC_ENABLE" = "YES" ]; then
additional_args+=("-s" "29,fbuf,tcp=$VNC_LISTEN,w=1920,h=1080")
fi
vms+=("$name")
while true; do
set -x
set +e
@ -184,6 +156,9 @@ function start_vm {
break
fi
done
bhyvectl "--vm=$name" --destroy
echo "Destroyed bhyve vm."
}
function detect_available_link {

View File

@ -1,10 +0,0 @@
#!/usr/bin/env bash
#
# Update packages in aurutils with -git suffix.
#
# This has to be done manually because aurutils does not check for new git commits every time we run an update.
set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
pacman -Slq custom | grep -E -- '-git$' | xargs aurutils-sync --no-ver --reset "$@"

View File

@ -113,8 +113,6 @@
dest: /usr/local/bin/aurutils-purge
- src: aurutils-sync
dest: /usr/local/bin/aurutils-sync
- src: aurutils-update-devel-packages
dest: /usr/local/bin/
- name: build aurutils inside aurutils
become_user: "{{ build_user.name }}"

View File

@ -4,4 +4,4 @@ set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
exec switcher namespace "$@"
exec kubens "$@"

View File

@ -4,4 +4,4 @@ set -euo pipefail
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
exec switcher "$@"
exec kubectx "$@"

View File

@ -21,6 +21,7 @@
name:
- yamllint
- stern
- kubectx
- kubeswitch
- flux-scm
- kubectl-minio

View File

@ -1,24 +1,23 @@
#!/bin/sh
# /usr/local/etc/rc.d/poudboot
#
# PROVIDE: poudboot
# REQUIRE: FILESYSTEM kld
# PROVIDE: poudboot
# AFTER: netif
# KEYWORD: shutdown
. /etc/rc.subr
name=poudboot
rcvar=${name}_enable
desc="Poudriere Loop"
start_cmd="${name}_start"
stop_cmd="${name}_stop"
load_rc_config $name
: ${poudboot_enable:=YES}
poudboot_start() {
PATH="${PATH}:/usr/local/bin" /usr/local/bin/poudboot start
}
command=/usr/sbin/daemon
pidfile=/var/run/${name}.pid
poudboot_stop() {
PATH="${PATH}:/usr/local/bin" /usr/local/bin/poudboot stop
}
command_args="-p $pidfile -u root -f -S -T $name poudboot start"
export PATH="${PATH}:/usr/local/bin"
run_rc_command "$1"

View File

@ -1,2 +1,2 @@
# Check that rust-analyzer is valid for date on https://rust-lang.github.io/rustup-components-history/
rust_date: "2023-07-13"
rust_date: "2023-04-14"